import * as i0 from "@angular/core";
export declare class ErrorHandlerPopUpStateService {
    private isPopUpOpen;
    isPopUpOpenVal: import("rxjs").Observable<boolean>;
    setIsPopUpOpenState(state: boolean): void;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorHandlerPopUpStateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorHandlerPopUpStateService>;
}
